import { ActionComputationExpression } from '../expression/ActionComputationExpression.ts';
import { XFormEvent } from './Event.ts';
import { ModelDefinition } from './ModelDefinition.ts';
export declare class ActionDefinition {
    readonly element: Element;
    static getRef(model: ModelDefinition, element: Element): string | null;
    static getValue(element: Element): string;
    static isKnownEvent: (event: XFormEvent) => event is XFormEvent;
    static getEvents(element: Element): XFormEvent[];
    readonly ref: string;
    readonly events: XFormEvent[];
    readonly computation: ActionComputationExpression<'string'>;
    readonly source: string | undefined;
    constructor(model: ModelDefinition, element: Element, source?: string);
}
